Gradient Line in JavaScript

Using ApexCharts with JavaScript

This Gradient Line example uses ApexCharts.js directly in JavaScript, with no wrapper component.

Install it with npm install apexcharts, then mount the chart with new ApexCharts(element, options).render().

JavaScript installation guide
var options = {
  series: [
    {
      name: 'Sales',
      data: [34, 52, 41, 63, 48, 72, 55, 84, 66, 58, 91, 74, 103, 96, 118],
    },
  ],
  chart: {
    height: 350,
    type: 'line',
  },
  forecastDataPoints: {
    count: 5,
  },
  stroke: {
    width: 5,
    curve: 'smooth',
  },
  xaxis: {
    type: 'datetime',
    categories: [
      '1/1/2025',
      '2/1/2025',
      '3/1/2025',
      '4/1/2025',
      '5/1/2025',
      '6/1/2025',
      '7/1/2025',
      '8/1/2025',
      '9/1/2025',
      '10/1/2025',
      '11/1/2025',
      '12/1/2025',
      '1/1/2026',
      '2/1/2026',
      '3/1/2026',
    ],
    tickAmount: 10,
    labels: {
      formatter: function (value, timestamp, opts) {
        return opts.dateFormatter(new Date(timestamp), 'MMM yy')
      },
    },
  },
  title: {
    text: 'Monthly Sales with Forecast',
    align: 'left',
    style: {
      fontSize: '16px',
      color: '#666',
    },
  },
  yaxis: {
    labels: {
      formatter: function (val) {
        return '$' + val + 'k'
      },
    },
  },
  fill: {
    type: 'gradient',
    gradient: {
      shade: 'dark',
      gradientToColors: ['#FDD835'],
      shadeIntensity: 1,
      type: 'horizontal',
      opacityFrom: 1,
      opacityTo: 1,
      stops: [0, 100, 100, 100],
    },
  },
}

var chart = new ApexCharts(document.querySelector('#chart'), options)
chart.render()

<template>
  <div>
    <div id="chart">
      <apexchart
        type="line"
        height="350"
        :options="chartOptions"
        :series="series"
      ></apexchart>
    </div>
  </div>
</template>

<script>
import VueApexCharts from 'vue-apexcharts'

export default {
  components: {
    apexchart: VueApexCharts,
  },
  data: function () {
    return {
      series: [
        {
          name: 'Sales',
          data: [34, 52, 41, 63, 48, 72, 55, 84, 66, 58, 91, 74, 103, 96, 118],
        },
      ],
      chartOptions: {
        chart: {
          height: 350,
          type: 'line',
        },
        forecastDataPoints: {
          count: 5,
        },
        stroke: {
          width: 5,
          curve: 'smooth',
        },
        xaxis: {
          type: 'datetime',
          categories: [
            '1/1/2025',
            '2/1/2025',
            '3/1/2025',
            '4/1/2025',
            '5/1/2025',
            '6/1/2025',
            '7/1/2025',
            '8/1/2025',
            '9/1/2025',
            '10/1/2025',
            '11/1/2025',
            '12/1/2025',
            '1/1/2026',
            '2/1/2026',
            '3/1/2026',
          ],
          tickAmount: 10,
          labels: {
            formatter: function (value, timestamp, opts) {
              return opts.dateFormatter(new Date(timestamp), 'MMM yy')
            },
          },
        },
        title: {
          text: 'Monthly Sales with Forecast',
          align: 'left',
          style: {
            fontSize: '16px',
            color: '#666',
          },
        },
        yaxis: {
          labels: {
            formatter: function (val) {
              return '$' + val + 'k'
            },
          },
        },
        fill: {
          type: 'gradient',
          gradient: {
            shade: 'dark',
            gradientToColors: ['#FDD835'],
            shadeIntensity: 1,
            type: 'horizontal',
            opacityFrom: 1,
            opacityTo: 1,
            stops: [0, 100, 100, 100],
          },
        },
      },
    }
  },
}
</script>

<style>
#chart {
  max-width: 650px;
  margin: 35px auto;
}
</style>

import React from 'react'
import ReactApexChart from 'react-apexcharts'
import './styles.css'

const ApexChart = () => {
  const [state, setState] = React.useState({
    series: [
      {
        name: 'Sales',
        data: [34, 52, 41, 63, 48, 72, 55, 84, 66, 58, 91, 74, 103, 96, 118],
      },
    ],
    options: {
      chart: {
        height: 350,
        type: 'line',
      },
      forecastDataPoints: {
        count: 5,
      },
      stroke: {
        width: 5,
        curve: 'smooth',
      },
      xaxis: {
        type: 'datetime',
        categories: [
          '1/1/2025',
          '2/1/2025',
          '3/1/2025',
          '4/1/2025',
          '5/1/2025',
          '6/1/2025',
          '7/1/2025',
          '8/1/2025',
          '9/1/2025',
          '10/1/2025',
          '11/1/2025',
          '12/1/2025',
          '1/1/2026',
          '2/1/2026',
          '3/1/2026',
        ],
        tickAmount: 10,
        labels: {
          formatter: function (value, timestamp, opts) {
            return opts.dateFormatter(new Date(timestamp), 'MMM yy')
          },
        },
      },
      title: {
        text: 'Monthly Sales with Forecast',
        align: 'left',
        style: {
          fontSize: '16px',
          color: '#666',
        },
      },
      yaxis: {
        labels: {
          formatter: function (val) {
            return '$' + val + 'k'
          },
        },
      },
      fill: {
        type: 'gradient',
        gradient: {
          shade: 'dark',
          gradientToColors: ['#FDD835'],
          shadeIntensity: 1,
          type: 'horizontal',
          opacityFrom: 1,
          opacityTo: 1,
          stops: [0, 100, 100, 100],
        },
      },
    },
  })

  return (
    <div>
      <div id="chart">
        <ReactApexChart
          options={state.options}
          series={state.series}
          type="line"
          height={350}
        />
      </div>
    </div>
  )
}

export default ApexChart

Gradient Line in Angular

Using ApexCharts with Angular

This Gradient Line example wires ApexCharts into Angular through the ng-apexcharts component.

Install it with npm install ng-apexcharts apexcharts, then mount the chart with <apx-chart [series]="series" [chart]="chart"></apx-chart>.

Angular charts guide

This demo uses imperative chart updates. The generated code is a faithful Angular translation: open it in CodeSandbox to run and tweak.

import { Component, AfterViewInit, OnDestroy, ViewChild } from '@angular/core';
import {
  ChartComponent,
  ApexAxisChartSeries,
  ApexNonAxisChartSeries,
  ApexChart,
  ApexXAxis,
  ApexYAxis,
  ApexTitleSubtitle,
  ApexDataLabels,
  ApexStroke,
  ApexFill,
  ApexLegend,
  ApexTooltip,
  ApexMarkers,
  ApexPlotOptions,
  ApexResponsive,
  ApexGrid,
  ApexAnnotations,
  ApexStates,
  ApexTheme,
  NgApexchartsModule,
} from 'ng-apexcharts';

export type ChartOptions = {
  series?: ApexAxisChartSeries | ApexNonAxisChartSeries;
  chart?: ApexChart;
  xaxis?: ApexXAxis;
  yaxis?: ApexYAxis | ApexYAxis[];
  title?: ApexTitleSubtitle;
  subtitle?: ApexTitleSubtitle;
  dataLabels?: ApexDataLabels;
  stroke?: ApexStroke;
  fill?: ApexFill;
  legend?: ApexLegend;
  tooltip?: ApexTooltip;
  markers?: ApexMarkers;
  plotOptions?: ApexPlotOptions;
  responsive?: ApexResponsive[];
  grid?: ApexGrid;
  annotations?: ApexAnnotations;
  states?: ApexStates;
  theme?: ApexTheme;
  colors?: string[];
  labels?: any;
};

@Component({
  selector: 'app-chart',
  standalone: true,
  imports: [NgApexchartsModule],
  templateUrl: './chart.component.html',
})
export class AppChart implements AfterViewInit, OnDestroy {
  @ViewChild('chart') chart!: ChartComponent;
  public chartOptions: Partial<ChartOptions> = {
          series: [
            {
              name: 'Sales',
              data: [34, 52, 41, 63, 48, 72, 55, 84, 66, 58, 91, 74, 103, 96, 118],
            },
          ],
          chart: {
            height: 350,
            type: 'line',
          },
          forecastDataPoints: {
            count: 5,
          },
          stroke: {
            width: 5,
            curve: 'smooth',
          },
          xaxis: {
            type: 'datetime',
            categories: [
              '1/1/2025',
              '2/1/2025',
              '3/1/2025',
              '4/1/2025',
              '5/1/2025',
              '6/1/2025',
              '7/1/2025',
              '8/1/2025',
              '9/1/2025',
              '10/1/2025',
              '11/1/2025',
              '12/1/2025',
              '1/1/2026',
              '2/1/2026',
              '3/1/2026',
            ],
            tickAmount: 10,
            labels: {
              formatter: (value, timestamp, opts) => {
                return opts.dateFormatter(new Date(timestamp), 'MMM yy')
              },
            },
          },
          title: {
            text: 'Monthly Sales with Forecast',
            align: 'left',
            style: {
              fontSize: '16px',
              color: '#666',
            },
          },
          yaxis: {
            labels: {
              formatter: (val) => {
                return '$' + val + 'k'
              },
            },
          },
          fill: {
            type: 'gradient',
            gradient: {
              shade: 'dark',
              gradientToColors: ['#FDD835'],
              shadeIntensity: 1,
              type: 'horizontal',
              opacityFrom: 1,
              opacityTo: 1,
              stops: [0, 100, 100, 100],
            },
          },
        };
  ngAfterViewInit() {
    (window as any).ApexCharts.setLicense('APEX-eyJleHBpcnlEYXRlIjoiMjEyNi0wNy0wNCIsImlzc3VlRGF0ZSI6IjIwMjYtMDctMjgiLCJwbGFuIjoicHJlbWl1bSIsImRvbWFpbnMiOlsiYXBleGNoYXJ0cy5jb20iLCIxMjcuMC4wLjEiLCJsb2NhbGhvc3QiXSwic2lnIjoieVBmb1VCc0Z3TU9ZdUEyaEZkR0I2Y1FtZ0JITUtXcVdJSjB2NVRESXRZbFR3eDJMUmh6R2x0RUc3VXJ4X0s3b25ZMWRZb2Z2VGItN01ydFYyNDVyOWcifQ==');
  }

  ngOnDestroy() {
    // no cleanup needed
  }
}